@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Playfair+Display:ital,wght@0,400..900;1,400..900&display=swap');

@keyframes headerPopUp{
    0%{
        transform: translateY(-200%);
    }
    100%{
        transform:translateY(0);
    }
}

html,body{
    width:100%;
    overflow-x: hidden;
    margin: 0;
    padding: 0;
}

.leftDesktopHeader, .rightDesktopHeader {
    display: flex;
    justify-content: center;
    align-items: center;
}

.header {
    position: absolute;
    width: 100%;
    left: 0;
    top: 25px;
    border-top: 2px solid white;
    border-bottom: 2px solid white;
    display: flex;
    flex-direction: row;
    height: 70px;
    justify-content: space-between;
    padding: 0 10%;
    box-sizing: border-box;
    z-index: 999;
    transition: all 0.25s ease-in-out;
    background-color: rgba(242, 242, 242, 0.2);
}

.headerResponsive {
    display: none;
}

.centerLogo>a, .leftResponsiveLogo>a{
    display:block;
    width:100%;
    height:100%;
        display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

.header a {
    color: white;
    font-family: 'Montserrat';
    font-weight: 600;
    font-size: 1em;
    transition: all 0.2s ease-in-out;
    text-decoration: none;
    cursor: pointer;
    position: relative;
}

.header a::after {
    content: '';
    position: absolute;
    top: 100%;
    left: 50%;
    height: 2px;
    width: 80%;
    transform: translate(-50%,5px) scaleX(0);
    transform-origin: center;
    background-color: #c8a96a;
    background-color: currentColor;
    transition: all 0.2s ease-in-out;
}

.header a:hover::after {
    transform: translate(-50%,5px) scaleX(1);
}

.centerLogo a::after {
    content: unset!important;
}

.centerLogo a>svg, .leftResponsiveLogo a>svg {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    transform: translateY(-3px);
}

.headerLogoSubtext {
    width: 110%;
    height: 40px;
    position: absolute;
    top: calc(100% - 2px);
    left: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    border-top: 6px solid #c8a96a;
    transform: translateX(-50%);
}

.centerLogo, .leftResponsiveLogo {
    width: 300px;
    height: 100%;
} 

.headerSepparator {
    margin: 0px 20px;
    height: 25px;
    width: 2px;
    background-color: white;
}

.headerStuck {
    top: 5px;
    position: fixed;
    animation: headerPopUp 0.5s ease-in-out forwards;
    background-color: #0f2a44;
}

@media only screen and (max-width: 1600px) {
    .header {
    padding: 0 5%;
}

    .header a {
        font-size: 0.9em;
    }
}

@media only screen and (max-width: 1200px) {
    .header {
        padding: 0 5%;
    }
    .header a {
        font-size: 0.8em;
    }
}

@media only screen and (max-width: 1000px) {
    .headerDesktop {
        display: none;
    }
    .headerResponsive {
        display: flex;
    }
    .rightResponsiveHeader {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    div.menuIcon {
        background-color: transparent;
        border: none;
        height: 50px;
        width: 50px;
        transition: all 0.35s ease-in-out;
    }
    .menuIcon svg {
        width: 100%;
        height: 100%;
        display: block;
    }
    .line {
        fill: none;
        stroke: white;
        stroke-width: 6;
        transition: stroke-dasharray 600ms cubic-bezier(0.4, 0, 0.2, 1), stroke-dashoffset 600ms cubic-bezier(0.4, 0, 0.2, 1);
    }
    .line1 {
        stroke-dasharray: 60 207;
        stroke-width: 6;
    }
    .opened .line1 {
        stroke-dasharray: 90, 207;
        stroke-dashoffset: -134;
        stroke-width: 6;
    }
    .line2 {
        stroke-dasharray: 60, 60;
        stroke-width: 6;
    }
    .opened .line2 {
        stroke-dasharray: 1, 60;
        stroke-dashoffset: -30;
        stroke-width: 6;
    }
    .line3 {
        stroke-dasharray: 60, 207;
        stroke-width: 6;
    }
    .opened .line3 {
        stroke-dasharray: 90, 207;
        stroke-dashoffset: -134;
        stroke-width: 6;
    }
    .mobileMenu {
        position: absolute;
        top: 100%;
        left: 100%;
        transform: translate(-110%, 1.2%) scaleY(0);
        transform-origin: top;
        width: 200px;
        text-align: right;
        box-sizing: border-box;
        background-color: transparent;
        z-index: -99;
        overflow: hidden;
        transition: all 0.3s ease-in-out;
        padding: 2vh 10px;
        background-color: rgba(242, 242, 242, 0.2);
        border: 2px solid white;
        border-top: none;
    }
    .headerStuck .mobileMenu {
        background-color: #0f2a44;
    }
    .mobileMenu.growDown {
        transform: translate(-110%, 1.2%) scaleY(1);
    }
    .mobileMenuLinksSeparator {
        width: 100%;
        height: 1.5px;
        background-color: white;
        margin: 1vh 0;
    }

    .header a::after {
    content: none!important;
}


}

@media only screen and (max-width: 600px) {
    .leftResponsiveLogo {
        width: 250px;
    }
    div.menuIcon {
        height: 45px;
        width: 45px;
    }
}

@media only screen and (max-width: 450px) {
    .leftResponsiveLogo {
        width: 200px;
    }
    div.menuIcon {
        height: 35px;
        width: 35px;
    }
}